Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_DomainManagerList_var Class Reference

`#include <DomainC.h>`

Collaboration diagram for CORBA_DomainManagerList_var:

[legend]
List of all members.

## Public Methods
| CORBA_DomainManagerList_var (void)
| CORBA_DomainManagerList_var (CORBA_DomainManagerList *)
| CORBA_DomainManagerList_var (const CORBA_DomainManagerList_var &)
| ~CORBA_DomainManagerList_var (void)
CORBA_DomainManagerList_var& | operator= (CORBA_DomainManagerList *)
CORBA_DomainManagerList_var& | operator= (const CORBA_DomainManagerList_var &)
CORBA_DomainManagerList* | operator-> (void)
const CORBA_DomainManagerList* | operator-> (void) const
| operator const CORBA_DomainManagerList & () const
| operator CORBA_DomainManagerList & ()
| operator CORBA_DomainManagerList & () const
| operator CORBA_DomainManagerList *& ()
TAO_Object_Manager<CORBA_DomainManager, CORBA_DomainManager_var> | operator[] (CORBA::ULong index)
const CORBA_DomainManagerList& | in (void) const
CORBA_DomainManagerList& | inout (void)
CORBA_DomainManagerList*& | out (void)
CORBA_DomainManagerList* | _retn (void)
CORBA_DomainManagerList* | ptr (void) const
## Private Attributes
CORBA_DomainManagerList* | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_DomainManagerList_var::CORBA_DomainManagerList_var ( | void )

ACE_INLINE CORBA_DomainManagerList_var::CORBA_DomainManagerList_var ( | CORBA_DomainManagerList * p )

CORBA_DomainManagerList_var::CORBA_DomainManagerList_var ( | const CORBA_DomainManagerList_var & )

ACE_INLINE CORBA_DomainManagerList_var::~CORBA_DomainManagerList_var ( | void )

## Member Function Documentation

ACE_INLINE::CORBA_DomainManagerList * CORBA_DomainManagerList_var::_retn ( | void )

ACE_INLINE const::CORBA_DomainManagerList & CORBA_DomainManagerList_var::in ( | void ) const

ACE_INLINE::CORBA_DomainManagerList & CORBA_DomainManagerList_var::inout ( | void )

CORBA_DomainManagerList_var::operator CORBA_DomainManagerList & ( | ) const

CORBA_DomainManagerList_var::operator CORBA_DomainManagerList & ( | )

CORBA_DomainManagerList_var::operator CORBA_DomainManagerList *& ( | )

CORBA_DomainManagerList_var::operator const CORBA_DomainManagerList & ( | ) const

ACE_INLINE const::CORBA_DomainManagerList * CORBA_DomainManagerList_var::operator-> ( | void ) const

ACE_INLINE::CORBA_DomainManagerList * CORBA_DomainManagerList_var::operator-> ( | void )

CORBA_DomainManagerList_var& CORBA_DomainManagerList_var::operator= ( | const CORBA_DomainManagerList_var & )

ACE_INLINE CORBA_DomainManagerList_var & CORBA_DomainManagerList_var::operator= ( | CORBA_DomainManagerList * p )

ACE_INLINE TAO_Object_Manager< CORBA_DomainManager,CORBA_DomainManager_var > CORBA_DomainManagerList_var::operator[] ( | CORBA::ULong index )

ACE_INLINE::CORBA_DomainManagerList *& CORBA_DomainManagerList_var::out ( | void )

ACE_INLINE::CORBA_DomainManagerList * CORBA_DomainManagerList_var::ptr ( | void ) const

## Member Data Documentation

CORBA_DomainManagerList * CORBA_DomainManagerList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.i